Out-of-bounds Write

Affecting nss package, versions <2:3.42.1-1+deb10u2

Report new vulnerabilities
Do your applications use this vulnerable package? Test your applications

Overview

When encrypting with a block cipher, if a call to NSC_EncryptUpdate was made with data smaller than the block size, a small out of bounds write could occur. This could have caused heap corruption and a potentially exploitable crash. This vulnerability affects Thunderbird < 68.3, Firefox ESR < 68.3, and Firefox < 71.

References

CVSS Score

8.8
high severity
  • Attack Vector
    Network
  • Attack Complexity
    Low
  • Privileges Required
    None
  • User Interaction
    Required
  • Scope
    Unchanged
  • Confidentiality
    High
  • Integrity
    High
  • Availability
    High
CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
CVE
CVE-2019-11745
CWE
CWE-787
Snyk ID
SNYK-DEBIAN10-NSS-535472
Disclosed
08 Jan, 2020
Published
24 Nov, 2019